com.asprise.ocr

## Enum Ocr.ImagePreProcessingType

- java.lang.Object
- - java.lang.Enum<Ocr.ImagePreProcessingType>
  - - com.asprise.ocr.Ocr.ImagePreProcessingType

- All Implemented Interfaces:
    Serializable, Comparable<Ocr.ImagePreProcessingType>
  Enclosing class:
    Ocr

      public static enum Ocr.ImagePreProcessingType
      extends Enum<Ocr.ImagePreProcessingType>

  Image pre-processing type

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CUSTOM`
    `DEFAULT`
    `DEFAULT_WITH_ORIENTATION_DETECTION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static Ocr.ImagePreProcessingType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Ocr.ImagePreProcessingType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final Ocr.ImagePreProcessingType DEFAULT

    - #### DEFAULT_WITH_ORIENTATION_DETECTION

          public static final Ocr.ImagePreProcessingType DEFAULT_WITH_ORIENTATION_DETECTION

    - #### CUSTOM

          public static final Ocr.ImagePreProcessingType CUSTOM

  - ### Method Detail

    - #### values

          public static Ocr.ImagePreProcessingType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Ocr.ImagePreProcessingType c : Ocr.ImagePreProcessingType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Ocr.ImagePreProcessingType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<Ocr.ImagePreProcessingType>`

Copyright © Asprise Software. All Rights Reserved. Please visit the product page at asprise.com